This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 136988 - acpid doesn't parse multiple event/action pairs in one file
acpid doesn't parse multiple event/action pairs in one file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-24 16:56 EDT by Patrick Jordan
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 17:40:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Jordan 2004-10-24 16:56:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I have /etc/acpi/events/events.conf:

event=button/power.*
action=/etc/acpi/actions/power.sh
event=ac_adapter
action=/etc/acpi/actions/ac.sh %e
event=battery.*
action=/etc/acpi/actions/battery.sh %e

When acpid starts with this it only loads 1 rule. The others are
ignored. If I put them in 3 different conf files all three get loaded.
I'm almost positive that in fc2 and prior I was able to do this,
though I don't have another available acpi machine to test it on.

Version-Release number of selected component (if applicable):
acpid-1.0.3-2

How reproducible:
Always

Steps to Reproduce:
1.define an /etc/acpi/events/file with multiple event/action pairs
2.restart acpid

    

Actual Results:  log shows 1 rule loaded, behavior confirms

Expected Results:  Should load as many event/action pairs as you have
defined in a file, and show that many rules loaded in log file.

Additional info:
Comment 1 Bill Nottingham 2005-01-28 17:40:48 EST
Looking at the code, it very clearly only parses one rule per file.

I don't think this is a behavior we'd change locally; it would be a
somewhat intrusive change.

You'd probably be better off requesting the change at:

http://acpid.sourceforge.net/

Note You need to log in before you can comment on or make changes to this bug.